{% extends 'Default/index.html.twig' %}

{% block main_content %}
  <section id="intro" class="container px-4 mb-4">
    <div class="row">
      <div class="col-lg-12 px-lg-4 py-lg-2">
        <h2>{{ 'user.notification_settings.title'|trans }}</h2>
      </div>
      <div class="col-lg-12 px-lg-4 py-lg-2 mt-4">
        <p>
          {{ 'user.notification_settings.help'|trans|raw }}<br>
        </p>
      </div>
    </div>
  </section>

  <section id="intro" class="container-fluid bg-grey-lighten">
    <div class="container px-4 mt-4 py-3">
      <div class="row">
        <div class="col-lg-12 px-lg-4 py-lg-2">
          <h2>{{ 'calendars.calendars'|trans }}</h2>
        </div>
        <form action="{{ path('operator_notification_settings') }}" method="post">
          <div class="col-lg-12 px-lg-4 py-lg-2 my-4">
            <div class="row">
              {% for calendar in calendars %}
                <div class="col-12 col-sm-6 col-lg-4 pb-3">
                  <div class="form-check">
                    <input id="{{ calendar.id }}" type="checkbox" name="calendars[]" value="{{ calendar.id }}" {% if calendar.id in notification_subscriptions  %}checked="checked"{% endif %}>
                    <label for="{{ calendar.id }}">{{ calendar.title }}</label>
                  </div>
                </div>
              {% endfor %}
            </div>
          </div>
          <div class="col-lg-12 px-lg-4 py-lg-2 mb-4">
            <button class="btn btn-primary" type="submit" name="submit">{{ 'salva'|trans }}</button>
          </div>
        </form>
      </div>
    </div>
  </section>

{% endblock %}
